org.apache.tinkerpop.gremlin.structure.io

## Class IoVertexTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.io.IoVertexTest

-     public class IoVertexTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `assertEdgesAtSameTimeAsVertex`
    `boolean` | `assertViaDirectEquality`
    `String` | `ioType`
    `Function<Graph,GraphReader>` | `readerMaker`
    `Function<Graph,GraphWriter>` | `writerMaker`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoVertexTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldReadWriteDetachedVertexAsReferenceNoEdges()`
    `void` | `shouldReadWriteDetachedVertexNoEdges()`
    `void` | `shouldReadWriteVertexMultiPropsNoEdges()`
    `void` | `shouldReadWriteVertexNoEdges()`
    `void` | `shouldReadWriteVertexWithBOTHEdges()`
    `void` | `shouldReadWriteVertexWithINEdges()`
    `void` | `shouldReadWriteVertexWithOUTEdges()`
    `void` | `shouldReadWriteVerticesNoEdges()`
    `void` | `shouldReadWriteVerticesNoEdgesToGraphSONManual()`
    `void` | `shouldReadWriteVerticesNoEdgesToGryoManual()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ioType

          public String ioType

    - #### assertViaDirectEquality

          public boolean assertViaDirectEquality

    - #### assertEdgesAtSameTimeAsVertex

          public boolean assertEdgesAtSameTimeAsVertex

    - #### readerMaker

          public Function<Graph,GraphReader> readerMaker

    - #### writerMaker

          public Function<Graph,GraphWriter> writerMaker

  - ### Constructor Detail

    - #### IoVertexTest

          public IoVertexTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldReadWriteVertexWithBOTHEdges

          public void shouldReadWriteVertexWithBOTHEdges()
                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteVertexWithINEdges

          public void shouldReadWriteVertexWithINEdges()
                                                throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteVertexWithOUTEdges

          public void shouldReadWriteVertexWithOUTEdges()
                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteVertexNoEdges

          public void shouldReadWriteVertexNoEdges()
                                            throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteDetachedVertexNoEdges

          public void shouldReadWriteDetachedVertexNoEdges()
                                                    throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteDetachedVertexAsReferenceNoEdges

          public void shouldReadWriteDetachedVertexAsReferenceNoEdges()
                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteVertexMultiPropsNoEdges

          public void shouldReadWriteVertexMultiPropsNoEdges()
                                                      throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteVerticesNoEdges

          public void shouldReadWriteVerticesNoEdges()
                                              throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteVerticesNoEdgesToGraphSONManual

          public void shouldReadWriteVerticesNoEdgesToGraphSONManual()
                                                              throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteVerticesNoEdgesToGryoManual

          public void shouldReadWriteVerticesNoEdgesToGryoManual()
                                                          throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.